idiff(1)

TITLE
idiff -- compare two images

SYNOPSIS
Usage:  idiff [options] image1 image2

DESCRIPTION
This program is part of the OpenImageIO (http://www.openimageio.org) tool suite. Detailed documentation is avaliable in pdf format with the OpenImageIO distribution.

OPTIONS

--help
    Print help message

-v  Verbose status messages

-a  Compare all subimages/miplevels

Thresholding and comparison options

    -fail %g
        Failure threshold difference (0.000001)

    -failpercent %g
        Allow this percentage of failures (0)

    -hardfail %g
        Fail if any one pixel exceeds this error (infinity)

    -warn %g
        Warning threshold difference (0.00001)

    -warnpercent %g
        Allow this percentage of warnings (0)

    -hardwarn %g
        Warn if any one pixel exceeds this error (infinity)

    -p  Perform perceptual (rather than numeric) comparison

Difference image options

    -o %s
        Output difference image

    -od Output image only if nonzero difference

    -abs
        Output image of absolute value, not signed difference

    -scale %g
        Scale the output image by this factor